Name:           epel-rpm-macros
Version:        6
Release:        22
Summary:        Extra Packages for Enterprise Linux RPM macros

Group:          System Environment/Base
License:        GPLv2+

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://download.fedoraproject.org/pub/epel

# Please see the file itself for an explanation of its odd name.
Source0:        macros.zzz-epel
# Until https://bugzilla.redhat.com/show_bug.cgi?id=1310704 is fixed
Source1:        macros.zzz-epel-autosetup
Source2:        gpgverify

Source9:        GPL

BuildArch:      noarch
Requires:       epel-release = %{version}
Requires:       python-srpm-macros
Requires:       python-rpm-macros
Requires:       python2-rpm-macros

%description
This package contains some RPM macros which minimize the differences in the
packaging process between Fedora and EPEL.

%prep
%setup -c %name-%version -T
install -pm 644 %{SOURCE9} .

%build
%install
install -Dpm 644 %{SOURCE0} \
    %{buildroot}/etc/rpm/macros.zzz-epel
install -Dpm 644 %{SOURCE1} \
    %{buildroot}/etc/rpm/macros.zzz-epel-autosetup
install -Dpm 755 %{SOURCE2} \
    %{buildroot}%{_rpmconfigdir}/gpgverify

%files
# Explicitly don't use %%license so that this package can be built without this
# package being installed.
%doc GPL
/etc/rpm/macros.zzz-epel
/etc/rpm/macros.zzz-epel-autosetup
%{_rpmconfigdir}/gpgverify

%changelog
* Sat May 16 2020 Kevin Fenzi <kevin@scrye.com> - 6-22
- Update with added gpgverify macros. Fixes bug #1830646

* Fri Jun 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-21
- Add %%set_build_flags macro.

* Mon May 14 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-20
- Add various %%build_* macros from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-19
- Add %%_rpmmacrodir from Fedora.

* Thu Feb 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-18
- Add %%vimfiles_root (bug #1545901)

* Mon Jan 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6-17
- Backport ldconfig macros

* Tue Dec 6 2016 Orion Poplawski <orion@cora.nwra.com> - 6-16
- Add %%__pkgdocdir

* Wed Nov 16 2016 Orion Poplawski <orion@cora.nwra.com> - 6-15
- Restore working %%autosetup macro until bug #1310704 is fixed

* Mon Oct 3 2016 Orion Poplawski <orion@cora.nwra.com> - 6-14
- Drop py3 macro stubs now that we have python3 in EPEL6

* Wed Aug 24 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-13
- Drop python macros; they're in the python-rpm-macros package now.
- Add dependency on the python-rpm-macros packages so that EPEL6 packages don't
  need to manually add a dep on them.  (Python in RHEL6 can't be changed to
  require them.)
- Move the two stub python3 definitions from the python macro file into the
  main macro file.

* Thu Aug 11 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-12
- Add %%bash_completion_dir

* Wed Jun 15 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-11
- Make __python2 point to /usr/bin/python2.6 to avoid issues with Amazon Linux.

* Wed May 11 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-10
- Remove autosetup macros since they're now in RHEL 6.8.

* Thu Apr 21 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-9
- Add the %%make_build macro.

* Tue Apr 19 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-8
- Add some python macros pulled from EPEL7.

* Thu Mar 31 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-7
- Add GHC macros moved from epel-release-6.

* Thu Feb 18 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-6
- Add %%epel.
- Add %%rpmmacrodir.
- Add pointless %%build so rpmlint will stop yelling.

* Thu Feb 18 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-5
- Add %%autosetup and related macros.

* Tue Feb 09 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-4
- Guard against issues with the %%scl_debug macro.

* Mon Jan 25 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-3
- Try defining %%license a different (and much simpler) way.

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nra.com> - 6-2
- Add %%nodejs_arches

* Wed Dec 02 2015 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-1
- Initial version for EL6, based on the spec from the EL7 package.
